## easymp3gain 0.5.0+svn135

=== CMakeLists.txt ===
# CMakeLists for easyMp3Gain

project(easymp3gain)

cmake_minimum_required(VERSION 2.8.0 FATAL_ERROR)

#UNSET THIS VARIABLE AT RELEASE TIME
set(VERSION_SUFFIX "-dev")

set(PROJECT_NAME  "easymp3gain")
set(EMP3GAIN_VERSION_MAJOR  "0")
set(EMP3GAIN_VERSION_MINOR  "5")
set(EMP3GAIN_VERSION_PATCH  "1")
set(EMP3GAIN_VERSION "${EMP3GAIN_VERSION_MAJOR}.${EMP3GAIN_VERSION_MINOR}.${EMP3GAIN_VERSION_PATCH}")

# Forbid in-tree building & force "build" directory name
if (${CMAKE_SOURCE_DIR} MATCHES ${CMAKE_BINARY_DIR})
      message(STATUS "Please do an out-of-tree build:")
      message(STATUS "rm -f CMakeCache.txt && mkdir build && cd build; cmake .. && make")
      message(FATAL_ERROR "In-tree-build detected!")
endif (${CMAKE_SOURCE_DIR} MATCHES ${CMAKE_BINARY_DIR})
if (NOT ${CMAKE_SOURCE_DIR}/build MATCHES ${CMAKE_BINARY_DIR})
      message("Please build only in 'build' subfolder!")
      message(FATAL_ERROR "Not in /build!")
endif ()

#
# Options
#
########################################
option (GTK2 "Build GTK+2 user interface" ON)
option (QT4 "Build Qt4 user interface" OFF)
option (I18N "Enable locale" ON)
########################################

if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
  set(CMAKE_INSTALL_PREFIX
    "/usr" CACHE PATH "Default install prefix" FORCE)
endif(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)

set (XDG_APPS_INSTALL_DIR share/applications)
set (XDG_ICON_DIR share/icons/hicolor)
set (EMP3GAIN_DATA_DIR share/easymp3gain)

add_definitions(-DCMAKE_INSTALL_PREFIX="\\\"${CMAKE_INSTALL_PREFIX}\\\"")
add_definitions(-DCMAKE_INSTALL_LIBDIR="\\\"${CMAKE_INSTALL_LIBDIR}\\\"")

set (CMAKE_EXTRA_MODULE_PATH ${CMAKE_SOURCE_DIR}/data/cmake)
set (CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_EXTRA_MODULE_PATH})
include (${CMAKE_EXTRA_MODULE_PATH}/lcl_build_gui.cmake)

message(STATUS "Compiling easyMp3Gain version ${EMP3GAIN_VERSION}")

#
# l18n
#
find_package (Gettext REQUIRED)
if (${GETTEXT_FOUND} STREQUAL "TRUE" AND (I18N))
        file (GLOB _translations ${CMAKE_SOURCE_DIR}/po/*.po)
        gettext_create_translations (${CMAKE_SOURCE_DIR}/po/${PROJECT_NAME}.pot
				     ALL ${_translations}
	)
endif (${GETTEXT_FOUND} STREQUAL "TRUE" AND (I18N))

#
# Validate FPC version
#
find_package(PkgConfig REQUIRED)
find_package(FPC REQUIRED)

add_subdirectory (src)
add_subdirectory (data)
add_subdirectory (help)

=== data/CMakeLists.txt ===
# CMakeLists for easyMp3Gain generic data

set (XDG_APPS_INSTALL_DIR share/applications)

if (QT4)

set(show_desktop KDE)
set(notshow_desktop GNOME)
set(emp3gain_current_exec "easymp3gain-qt")
configure_file("easymp3gain.desktop.in"
  "${CMAKE_CURRENT_BINARY_DIR}/easymp3gain-kde.desktop"
  @ONLY
)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/easymp3gain-kde.desktop
	  DESTINATION ${XDG_APPS_INSTALL_DIR}
	  COMPONENT data
)

endif (QT4)

if (GTK2)

set(show_desktop GNOME)
set(notshow_desktop KDE)
set(emp3gain_current_exec "easymp3gain-gtk")
configure_file("easymp3gain.desktop.in"
  "${CMAKE_CURRENT_BINARY_DIR}/easymp3gain-gnome.desktop"
  @ONLY
)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/easymp3gain-gnome.desktop
	  DESTINATION ${XDG_APPS_INSTALL_DIR}
	  COMPONENT data
)

endif (GTK2)

add_subdirectory (icons)

=== help/CMakeLists.txt ===
# CMakeLists for help documents

set (EMP3GAIN_HELP_DOCS
	index.html
	install.html
	index.de.html
	install.de.html
)

install (FILES ${EMP3GAIN_HELP_DOCS} DESTINATION ${EMP3GAIN_DATA_DIR}/help COMPONENT data)

=== src/CMakeLists.txt ===
# CMakeLists.txt for easyMp3Gain GUI

find_package (Lazbuild REQUIRED)

if (LCL_VERSION LESS "930")
	message(FATAL_ERROR "LCL should be at least version 0.9.30!")
endif()

set (easymp3gain_project easymp3gain)

set (easymp3gain_FORMS
		unitconsoleoutput.lfm
		unitgainconstant.lfm
		unitinfo.lfm
		unitmain.lfm
		unitoptions.lfm
)

set (easymp3gain_SRC ${easymp3gain_project}.lpr
		${easymp3gain_FORMS}
		${CMAKE_BINARY_DIR}/appversion.inc
		unitconsoleoutput.pas
		unitgainconstant.pas
		unitinfo.pas
		unitmain.pas
		unitmediagain.pas
		unitmp3gain.pas
		unitoptions.pas
		unittranslate.pas
		unitvorbisgain.pas
		unitvorbiscomment.pas
)

configure_file(appversion.inc.in ${CMAKE_BINARY_DIR}/appversion.inc)

##########> Build GTK+ UI <##########
if (GTK2)

pkg_check_modules(GTK2 REQUIRED gtk+-2.0)

lcl_set_build_project (${easymp3gain_project} gtk)

add_custom_command (OUTPUT ${CMAKE_BINARY_DIR}/${easymp3gain_project}-gtk
	COMMAND ${CMAKE_COMMAND}
	ARGS -E copy ${CMAKE_BINARY_DIR}/gtk2/${easymp3gain_project}
		${CMAKE_BINARY_DIR}/${easymp3gain_project}-gtk
	WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
	MAIN_DEPENDENCY ${easymp3gain_gtk_OUT}
	DEPENDS ${easymp3gain_SRC}
)

add_custom_target (easyMp3Gain_GTK2 ALL DEPENDS ${CMAKE_BINARY_DIR}/${easymp3gain_project}-gtk)

# Install the GTK+ version
install (PROGRAMS ${CMAKE_BINARY_DIR}/${easymp3gain_project}-gtk
	DESTINATION bin COMPONENT binary
)

endif (GTK2)

##########> Build Qt UI <##########
if (QT4)

find_package (Qt4Pas)

lcl_set_build_project (${easymp3gain_project} qt)

add_custom_command (OUTPUT ${CMAKE_BINARY_DIR}/${easymp3gain_project}-qt
	COMMAND ${CMAKE_COMMAND}
	ARGS -E copy ${CMAKE_BINARY_DIR}/qt4/${easymp3gain_project}
		${CMAKE_BINARY_DIR}/${easymp3gain_project}-qt
	WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
	MAIN_DEPENDENCY ${easymp3gain_qt_OUT}
	DEPENDS ${easymp3gain_SRC}
)

add_custom_target (easyMp3Gain_Qt4 ALL DEPENDS ${CMAKE_BINARY_DIR}/${easymp3gain_project}-qt)

# Install the Qt version
install (PROGRAMS ${CMAKE_BINARY_DIR}/${easymp3gain_project}-qt
	DESTINATION bin COMPONENT binary
)

endif (QT4)

=== data/icons/CMakeLists.txt ===
# CMakeLists.txt for easyMp3Gain icon data

set (icon_base easymp3gain)

install (FILES ${icon_base}-16.png RENAME ${icon_base}.png DESTINATION ${XDG_ICON_DIR}/16x16/apps COMPONENT data)
install (FILES ${icon_base}-22.png RENAME ${icon_base}.png DESTINATION ${XDG_ICON_DIR}/22x22/apps COMPONENT data)
install (FILES ${icon_base}-24.png RENAME ${icon_base}.png DESTINATION ${XDG_ICON_DIR}/24x24/apps COMPONENT data)
install (FILES ${icon_base}-32.png RENAME ${icon_base}.png DESTINATION ${XDG_ICON_DIR}/32x32/apps COMPONENT data)
install (FILES ${icon_base}-48.png RENAME ${icon_base}.png DESTINATION ${XDG_ICON_DIR}/48x48/apps COMPONENT data)
install (FILES ${icon_base}-64.png RENAME ${icon_base}.png DESTINATION ${XDG_ICON_DIR}/64x64/apps COMPONENT data)
install (FILES ${icon_base}-128.png RENAME ${icon_base}.png DESTINATION ${XDG_ICON_DIR}/128x128/apps COMPONENT data)
install (FILES ${icon_base}-192.png RENAME ${icon_base}.png DESTINATION ${XDG_ICON_DIR}/192x192/apps COMPONENT data)

## easymp3gain 0.5.0

=== debian/changelog ===
easymp3gain (0.5.0-4) unstable; urgency=low

  * Ignore files which are not writeable (Closes: #587457)
  * Include DEP-3 headers for patches

 -- Matthias Klumpp <matthias@nlinux.org>  Mon, 28 Jun 2010 18:44:17 +0200

easymp3gain (0.5.0-3) unstable; urgency=low

  * Do not suggest aacgain: Package is not available
  * Depend on LCL instead of Lazarus (Closes: #577324)
  * Bump standards version to 3.8.4

 -- Matthias Klumpp <matthias@nlinux.org>  Sun, 11 Apr 2010 13:25:54 +0200

easymp3gain (0.5.0-2) unstable; urgency=low

  * Removed TurboPowerIPro LazPackage dependency (Closes: #565674)
  * Cleaned up messy project information file

 -- Matthias Klumpp <matthias@nlinux.org>  Sun, 17 Jan 2010 22:41:31 +0100

easymp3gain (0.5.0-1) unstable; urgency=low

  * Initial Release (Closes: #563175, #563212)

 -- Matthias Klumpp <matthias@nlinux.org>  Wed, 30 Dec 2009 21:58:40 +0100

=== debian/control ===
Source: easymp3gain
Section: sound
Priority: optional
Maintainer: Matthias Klumpp <matthias@nlinux.org>
Build-Depends: debhelper (>= 7), cdbs, fpc (>= 2.4.0), lcl (>=0.9.28.2), lcl-gtk2
Standards-Version: 3.8.4
Homepage: http://easymp3gain.sourceforge.net

Package: easymp3gain-gtk
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, mp3gain (>=1.4.6)
Recommends: vorbisgain
Description: GUI interface for MP3Gain, AACGain and VorbisGain
 A simple GUI frontend for MP3Gain, VorbisGain and AACGain,
 which allows modifying the loudness of MP3, Ogg Vorbis
 and MP4 audio files.
 .
 This package contains the GTK+ version.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

DEB_MAKE_CLEAN_TARGET:=clean
DEB_MAKE_BUILD_TARGET:=all WIDGET=gtk2
DEB_MAKE_INSTALL_TARGET:=DESTDIR=$(CURDIR)/debian/easymp3gain-gtk install

=== debian/watch ===
version=3

http://sf.net/easymp3gain/easymp3gain_(.+)\.src\.tar\.gz

## easymp3gain 0.5.0%2Bsvn135

=== debian/changelog ===
easymp3gain (0.5.0+svn135-5~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux 21.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 05 Jun 2023 17:21:46 -0700

easymp3gain (0.5.0+svn135-5~mx19+1) mx; urgency=medium

  * Rebuild for MX 19.
  * Only build GTK version, lcl-qt4 is not available in Buster.
  * Rename easymp3gain-gtk to easymp3gain.
  * Disable dbg and automatic dbgsym packages.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 06 Mar 2020 14:08:03 -0800

easymp3gain (0.5.0+svn135-5~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 26 Sep 2017 11:45:20 -0700

easymp3gain (0.5.0+svn135-5) unstable; urgency=medium

  * NOTE: This upload is done due to user-request who like
    easyMp3Gain. However, the software is dead upstream, and
    mp3gain is removed from Debian.
    So if nobody takes over maintenance upstream, this package will
    be removed from Debian soon.
  * Make vorbisgain the default CLI tool
  * Depend on lcl-utils, drop lazarus dependency (Closes: #741812)

 -- Matthias Klumpp <mak@debian.org>  Tue, 22 Jul 2014 15:46:34 +0200

easymp3gain (0.5.0+svn135-4) unstable; urgency=low

  * Create a fake-HOME dir for lazbuild to use
    - This is a bug in lazbuild, it should not require a HOME-dir
      to build software.

 -- Matthias Klumpp <mak@debian.org>  Fri, 19 Jul 2013 18:56:52 +0200

easymp3gain (0.5.0+svn135-3) unstable; urgency=low

  * Build-depend on the full Lazarus package (Closes: #713508)
    - lazbuild does not find packages without it, this
      needs fixing in Lazarus itself.
  * Fix compilation with newer versions of FPC

 -- Matthias Klumpp <mak@debian.org>  Fri, 19 Jul 2013 16:24:48 +0200

easymp3gain (0.5.0+svn135-2) unstable; urgency=low

  * Use my Debian mail address
  * Bump standards version (no changes needed)
  * Build Qt4 version of the application (LP: #924229)
  * Adjust debian/watch file

 -- Matthias Klumpp <mak@debian.org>  Sun, 12 May 2013 18:36:26 +0200

easymp3gain (0.5.0+svn135-1) unstable; urgency=low

  * New snapshot from upstream SVN repository
  * Updated my email address
  * Switch build system to cmake
  * Set DMUA field
  * Bump standards version to 3.9.3
  * Drop all patches, applied in upstream SVN
  * 01_fix-cmake-build.patch: Remove check for /build dir
  * Add debug package

 -- Matthias Klumpp <matthias@tenstral.net>  Mon, 05 Mar 2012 11:32:35 +0100

easymp3gain (0.5.0-6) unstable; urgency=low

  * Don't force build-architecture (Closes: #623032)
  * Bump standards version

 -- Matthias Klumpp <matthias@nlinux.org>  Wed, 18 May 2011 17:03:35 +0200

easymp3gain (0.5.0-5) unstable; urgency=low

  * Bump standards version
  * Use dh instead of cdbs
  * Rebuild against LCL 0.9.30 (Closes: #597260)
  * Add fp-utils to build-depends (Closes: #623024)

 -- Matthias Klumpp <matthias@nlinux.org>  Sat, 09 Apr 2011 20:14:27 +0200

=== debian/control ===
Source: easymp3gain
Section: sound
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Matthias Klumpp <mak@debian.org>
Build-Depends: cmake (>= 2.8),
               debhelper (>= 10),
               fp-utils,
               fpc (>= 2.6),
               lcl (>= 1.0),
               lcl-gtk2,
               lcl-utils
Standards-Version: 3.9.4
Homepage: http://easymp3gain.sourceforge.net

Package: easymp3gain
Architecture: any
Depends: aacgain,
         easymp3gain-data (>= ${source:Version}),
         mp3gain,
         vorbisgain,
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: easymp3gain-gtk
Replaces: easymp3gain-gtk
Description: GTK+-GUI for MP3Gain, VorbisGain and AACGain
 A simple GUI frontend for MP3Gain, VorbisGain and AACGain,
 which allows modifying the loudness of MP3, Ogg Vorbis
 and MP4 audio files.

Package: easymp3gain-data
Architecture: all
Replaces: easymp3gain-gtk (<< 0.5.0+svn135-2~)
Breaks: easymp3gain-gtk (<< 0.5.0+svn135-2~)
Depends: ${misc:Depends}
Description: GUI for MP3Gain, VorbisGain and AACGain (data files)
 A simple GUI frontend for MP3Gain, VorbisGain and AACGain,
 which allows modifying the loudness of MP3, Ogg Vorbis
 and MP4 audio files.
 .
 This package contains data used by easyMp3Gain.

## easymp3gain 0.5.0+svn135

=== debian/changelog ===
easymp3gain (0.5.0+svn135-6) unstable; urgency=medium

  * Add missing build dependencies on pkg-config and libgtk2.0-dev
    - Thanks to Hideki Yamane for the patch! (Closes: #791517)
  * Bump standards version (no change needed)

 -- Matthias Klumpp <mak@debian.org>  Tue, 14 Jul 2015 20:28:58 +0200

=== debian/control ===
Source: easymp3gain
Section: sound
Priority: optional
Maintainer: Matthias Klumpp <mak@debian.org>
Build-Depends: cmake (>= 2.8),
               debhelper (>= 8),
               fpc (>= 2.6),
               lcl (>= 1.4.0+dfsg-3),
               lcl-gtk2,
               lcl-qt4,
               libgtk2.0-dev,
               pkg-config
Standards-Version: 3.9.6
Homepage: http://easymp3gain.sourceforge.net

Package: easymp3gain-gtk
Architecture: any
Depends: easymp3gain-data (>= ${source:Version}),
         vorbisgain,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: mp3gain
Description: GTK+-GUI for MP3Gain, VorbisGain and AACGain
 A simple GUI frontend for MP3Gain, VorbisGain and AACGain,
 which allows modifying the loudness of MP3, Ogg Vorbis
 and MP4 audio files.
 .
 This package contains the GTK+ version.

Package: easymp3gain-qt
Architecture: any
Depends: easymp3gain-data (>= ${source:Version}),
         vorbisgain,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: mp3gain
Description: Qt-GUI for MP3Gain, VorbisGain and AACGain
 A simple GUI frontend for MP3Gain, VorbisGain and AACGain,
 which allows modifying the loudness of MP3, Ogg Vorbis
 and MP4 audio files.
 .
 This package contains the Qt4 version.

Package: easymp3gain-data
Architecture: all
Replaces: easymp3gain-gtk (<< 0.5.0+svn135-2~)
Breaks: easymp3gain-gtk (<< 0.5.0+svn135-2~)
Depends: ${misc:Depends}
Description: GUI for MP3Gain, VorbisGain and AACGain (data files)
 A simple GUI frontend for MP3Gain, VorbisGain and AACGain,
 which allows modifying the loudness of MP3, Ogg Vorbis
 and MP4 audio files.
 .
 This package contains data used by both the Qt and GTK+ version
 of easyMp3Gain.

Package: easymp3gain-dbg
Architecture: any
Section: debug
Priority: extra
Replaces: easymp3gain-gtk-dbg (<< 0.5.0+svn135-2~)
Breaks: easymp3gain-gtk-dbg (<< 0.5.0+svn135-2~)
Depends: easymp3gain-gtk (= ${binary:Version}) | easymp3gain-qt (= ${binary:Version}),
         ${misc:Depends}
Description: Debugging symbols for easyMp3Gain
 This package includes debugging symbols for easyMp3Gain,
 a simple GUI frontend for MP3Gain, VorbisGain and AACGain,
 which allows modifying the loudness of MP3, Ogg Vorbis
 and MP4 audio files.
 .
 Most people will not need this package.

=== debian/watch ===
version=3

http://sf.net/easymp3gain/easymp3gain-(.+)\.src\.tar\.gz

## easymp3gain 0.5.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -19,17 +19,18 @@
       message(STATUS "rm -f CMakeCache.txt && mkdir build && cd build; cmake .. && make")
       message(FATAL_ERROR "In-tree-build detected!")
 endif (${CMAKE_SOURCE_DIR} MATCHES ${CMAKE_BINARY_DIR})
-if (NOT ${CMAKE_SOURCE_DIR}/build MATCHES ${CMAKE_BINARY_DIR})
-      message("Please build only in 'build' subfolder!")
-      message(FATAL_ERROR "Not in /build!")
-endif ()
+
+#if (NOT ${CMAKE_SOURCE_DIR}/build MATCHES ${CMAKE_BINARY_DIR})
+#      message("Please build only in 'build' subfolder!")
+#      message(FATAL_ERROR "Not in /build!")
+#endif ()
 
 #
 # Options
 #
 ########################################
-option (GTK2 "Build GTK+2 user interface" ON)
-option (QT4 "Build Qt4 user interface" OFF)
+option (GTK2 "Build GTK+2 user interface" OFF)
+option (QT5 "Build Qt5 user interface" ON)
 option (I18N "Enable locale" ON)
 ########################################

=== data/CMakeLists.txt ===
# CMakeLists for easyMp3Gain generic data

set (XDG_APPS_INSTALL_DIR share/applications)

if (QT5)

set(show_desktop KDE)
set(notshow_desktop GNOME)
set(emp3gain_current_exec "easymp3gain-qt")
configure_file("easymp3gain.desktop.in"
  "${CMAKE_CURRENT_BINARY_DIR}/easymp3gain-qt.desktop"
  @ONLY
)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/easymp3gain-qt.desktop
	  DESTINATION ${XDG_APPS_INSTALL_DIR}
	  COMPONENT data
)

endif (QT5)

if (GTK2)

set(show_desktop GNOME)
set(notshow_desktop KDE)
set(emp3gain_current_exec "easymp3gain-gtk")
configure_file("easymp3gain.desktop.in"
  "${CMAKE_CURRENT_BINARY_DIR}/easymp3gain-gtk.desktop"
  @ONLY
)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/easymp3gain-gtk.desktop
	  DESTINATION ${XDG_APPS_INSTALL_DIR}
	  COMPONENT data
)

endif (GTK2)

add_subdirectory (icons)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -59,26 +59,26 @@
 endif (GTK2)
 
 ##########> Build Qt UI <##########
-if (QT4)
+if (QT5)
 
-find_package (Qt4Pas)
+find_package (Qt5Pas)
 
 lcl_set_build_project (${easymp3gain_project} qt)
 
 add_custom_command (OUTPUT ${CMAKE_BINARY_DIR}/${easymp3gain_project}-qt
 	COMMAND ${CMAKE_COMMAND}
-	ARGS -E copy ${CMAKE_BINARY_DIR}/qt4/${easymp3gain_project}
+	ARGS -E copy ${CMAKE_BINARY_DIR}/qt5/${easymp3gain_project}
 		${CMAKE_BINARY_DIR}/${easymp3gain_project}-qt
 	WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
 	MAIN_DEPENDENCY ${easymp3gain_qt_OUT}
 	DEPENDS ${easymp3gain_SRC}
 )
 
-add_custom_target (easyMp3Gain_Qt4 ALL DEPENDS ${CMAKE_BINARY_DIR}/${easymp3gain_project}-qt)
+add_custom_target (easyMp3Gain_Qt5 ALL DEPENDS ${CMAKE_BINARY_DIR}/${easymp3gain_project}-qt)
 
 # Install the Qt version
 install (PROGRAMS ${CMAKE_BINARY_DIR}/${easymp3gain_project}-qt
 	DESTINATION bin COMPONENT binary
 )
 
-endif (QT4)
+endif (QT5)

=== debian/changelog ===
easymp3gain (0.5.1-0mx25) mx; urgency=medium

  * Rebuild for MX-25

 -- Timothy E. Harris <maintainer@mxrepo.com>  Sat, 29 Nov 2025 19:29:03 +0000

easymp3gain (0.5.1-0mx23) mx; urgency=medium

  * Revival of easymp3gain-qt for MX-23

 -- Timothy E. Harris <maintainer@mxrepo.com>  Fri, 29 Nov 2025 14:16:42 -0500

=== debian/control ===
Source: easymp3gain
Section: sound
Priority: optional
Maintainer: Matthias Klumpp <mak@debian.org>
Build-Depends: cmake (>= 2.8),
               debhelper (>= 8),
               fpc (>= 2.6),
               lcl (>= 1.4.0+dfsg-3),
               lcl-gtk2,
               lcl-qt5,
               libgtk2.0-dev,
               pkg-config
Standards-Version: 3.9.6
Homepage: http://easymp3gain.sourceforge.net

#Package: easymp3gain-gtk
#Architecture: any
#Depends: easymp3gain-data (>= ${source:Version}),
#         vorbisgain,
#         ${misc:Depends},
#         ${shlibs:Depends}
#Suggests: mp3gain
#Description: GTK+-GUI for MP3Gain, VorbisGain and AACGain
# A simple GUI frontend for MP3Gain, VorbisGain and AACGain,
# which allows modifying the loudness of MP3, Ogg Vorbis
# and MP4 audio files.
# .
# This package contains the GTK+ version.
#
Package: easymp3gain-qt
Architecture: any
Depends: easymp3gain-data (>= ${source:Version}),
         vorbisgain,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: mp3gain
Description: Qt-GUI for MP3Gain, VorbisGain and AACGain
 A simple GUI frontend for MP3Gain, VorbisGain and AACGain,
 which allows modifying the loudness of MP3, Ogg Vorbis
 and MP4 audio files.
 .
 This package contains the Qt5 version.

Package: easymp3gain-data
Architecture: all
Replaces: easymp3gain-gtk (<< 0.5.0+svn135-2~)
Breaks: easymp3gain-gtk (<< 0.5.0+svn135-2~)
Depends: ${misc:Depends}
Description: GUI for MP3Gain, VorbisGain and AACGain (data files)
 A simple GUI frontend for MP3Gain, VorbisGain and AACGain,
 which allows modifying the loudness of MP3, Ogg Vorbis
 and MP4 audio files.
 .
 This package contains data used by both the Qt and GTK+ version
 of easyMp3Gain.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

# Define install target dir
INSTALLDIR = $(CURDIR)/debian/tmp
BUILD_FLAGS = -DCMAKE_INSTALL_PREFIX=/usr \
		-DGTK2=OFF \
		-DQT5=ON

BUILDDIR = $(CURDIR)/build

# Create fake-home to work around a bug in lazbuild,
# which now unnecessarily requires a working HOME-dir
fakehome=$(CURDIR)/debian/fakehome
HOME=${fakehome}

%:
	dh $@ --builddirectory=$(BUILDDIR)

override_dh_auto_configure:
	mkdir -p $(BUILDDIR)
	mkdir -p ${fakehome}
	cd $(BUILDDIR) && cmake $(BUILD_FLAGS) ..

override_dh_auto_clean:
	rm -rf ${fakehome}
	dh_auto_clean

override_dh_missing:
	dh_missing --list-missing

# No dbgsym packages:
override_dh_strip:
	dh_strip --no-automatic-dbgsym
